API KeysCreate API Key

Create API Key

Generate a new Supasend API key with customizable permissions for authenticating API requests.

curl -X POST "https://api.supasend.io/v1/api-keys" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "name": "Integration Key",
  "permissions": [
    "send"
  ]
}'
{
  "id": "example_string",
  "key": "sk_live_a1b2c3d4e5f6...",
  "key_prefix": "sk_live_a1b2c3",
  "name": "John Doe",
  "permissions": [
    "example_string"
  ],
  "created_at": "2024-12-25T10:00:00Z"
}
POST
/v1/api-keys
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key in the format sk_live_<64 hex characters>

API key in the format sk_live_<64 hex characters>
Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. API key in the format sk_live_\<64 hex characters\>

Body

application/json
namestring
Required
Example:
Integration Key

Responses

Creates a new API key with the specified name and permissions.